playerxdrgen(1)

NAME
playerxdrgen - automatically generate libplayerxdr functions

SYNOPSIS
playerxdrgen [-distro] <interface-spec.h> [<extra_interface-spec.h>] <pack.c> <pack.h>

DESCRIPTION
playerxdrgen will parse the header foo.h and define in foopack.c functions that (de)marshall all the structures found in foo.h. Prototypes for these functions will be written into foopack.h. You could then compile foopack.c into libfoopack.a; any application needing to encode or decode the messages defined in foo.h would include <foopack.h> and link to libfoopack.a.

AUTHOR
Player was written by Brian Gerkey <gerkey@users.sourceforge.net> and contributors. This manual page was written by Daniel Hess for the Debian Project.

SEE ALSO
The HTML documentation in /usr/share/doc/player/html of the robot-player-doc package.